import React from "react";
import styles from "./TeamMember.module.css";
import { Image } from "./Image";

interface TeamMemberProps {
  name: string;
  role: string;
  src: string;
}

export const TeamMember: React.FC<TeamMemberProps> = ({ name, role, src }) => {
  return (
    <div className={styles.container}>
      <Image className={styles.img} src={src} alt={`${name} | ${role}`} />
      <div className={styles.caption}>
        <div className={styles.name}>{name}</div>
        <div className={styles.role}>{role}</div>
      </div>
    </div>
  );
};
