/// <reference types="next" />
/// <reference types="next/types/global" />

declare module "*.event.mdx" {
  import { ComponentType } from "react";

  interface EventMetadata {
    name: string;
    short: string;
    date: Date;
    location: string;
  }

  const ReactComponent: ComponentType;

  export const metadata: EventMetadata;
  export default ReactComponent;
}

declare module "*.news.mdx" {
  import { ComponentType } from "react";

  interface NewsMetadata {
    author: string;
    date: Date;
  }

  const ReactComponent: ComponentType;

  export const metadata: NewsMetadata;
  export default ReactComponent;
}

declare module "*.teammember.mdx" {
  import { ComponentType } from "react";

  interface TeamMemberMetadata {
    name: string;
    role: string;
    src: string;
  }

  const ReactComponent: ComponentType;

  export const metadata: TeamMemberMetadata;
  export default ReactComponent;
}
